-- displayControl
--
-- Author RivalBomb
-- edit by STv-Modding in displayControl

displayControl = {};
function displayControl.prerequisitesPresent(specializations)
    return true;
end;

function displayControl:load(savegame)
    self.displayControl = {};
    
    local node = "vehicle.displayControl.";
    self.displayControl.forward = Utils.indexToObject(self.components, getXMLString(self.xmlFile, node.."forward#index"));
    self.displayControl.reverse = Utils.indexToObject(self.components, getXMLString(self.xmlFile, node.."reverse#index"));
    self.displayControl.neutral = Utils.indexToObject(self.components, getXMLString(self.xmlFile, node.."neutral#index"));
end;

function displayControl:delete()
end;

function displayControl:mouseEvent(posX, posY, isDown, isUp, button)
end;

function displayControl:keyEvent(unicode, sym, modifier, isDown)
end;

function displayControl:update(dt)
    if self:getLastSpeed() * self.speedDisplayScale > 1 and self.movingDirection > 0 then
        if self.displayControl.forward ~= nil then
            setVisibility(self.displayControl.forward, true);
            setVisibility(self.displayControl.neutral, false);
        end;
    elseif self:getLastSpeed() * self.speedDisplayScale > 1 and self.movingDirection < 0 then
        if self.displayControl.reverse ~= nil then
            setVisibility(self.displayControl.reverse, true);
            setVisibility(self.displayControl.neutral, false);
        end;
    else
        if self.displayControl.forward ~= nil then
            setVisibility(self.displayControl.forward, false);
            setVisibility(self.displayControl.neutral, true);
        end;
        if self.displayControl.reverse ~= nil then
            setVisibility(self.displayControl.reverse, false);
            setVisibility(self.displayControl.neutral, true);
        end;
    end;
end;

function displayControl:updateTick(dt)

end;

function displayControl:draw()
end;